Subject: Re: Bug#756816: apt: "apt-get upgrade packagename" should not set packagename to manually installed

From: Julian Andres Klode <[email-masked]>
Date: Sat, 2 Aug 2014 12:53:29 +0200

On Sat, Aug 2, 2014 at 12:20 PM, David Kalnischkies
<[email-masked]> wrote:
> Well, there is apts usual reason: If you care enough to mention the
> package explicitly on the commandline, you properly don't want apt to
> suggest its removal later on.
>
> I can't say I am a huge fan of that, but it is at least very consistent
> and avoids that the autoremoval is overagressive – or do I really want
> it to remove my favorite shell because it isn't needed anymore? ;)

Could we get rid of it for the "apt" tool? We have apt-mark to set
manual/automatic, so there's not much point anymore. Especially since
this often happens by accident (at least for me, with install).

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.